#ifndef _SDSL_PLNR_H_
#define _SDSL_PLNR_H_

/**********************************************************\
 * (SDSL) Small Dynamic Shadows Library.                  *
 *                                                        *
 * Drawing of planar shadows.                             *
 *                                                        *
 * Sergei Savchenko 2001.                                 *
\**********************************************************/

#include <windows.h>
#include <gl/gl.h>                          /* GLfloat */

#include "dslmodel.h"
#include "dslutil.h"

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * **/
                                            /* advance plane to deal */
#define PLANAR_ZFIGHT_DIST 4.0              /* with z-fighting */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * **/

void planarShadowDrawReceiver(struct ModelInstance* pModelInstance);
void planarShadowDrawScene(struct ModelInstance** pModelInstances, int nModelInstances, struct Plane* pPlane, GLfloat* lightPosition);

/**********************************************************/

#endif
