#ifndef _SDSL_VOLUM_H_
#define _SDSL_VOLUM_H_

/**********************************************************\
 * (SDSL) Small Dynamic Shadows Library.                  *
 *                                                        *
 * Drawing of shadow volumes.                             *
 *                                                        *
 * Sergei Savchenko 2001.                                 *
\**********************************************************/

#include "dslmodel.h"                       /* struct Model */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * **/

void shadowVolumeDrawScene(struct ModelInstance** pModelInstances, int nModelInstances);
void shadowVolumeDrawMap(struct ModelInstance** pModelInstances, int nModelInstances, GLfloat* lightPosition, GLfloat length); 
void shadowVolumeBlend(void);

/**********************************************************/

#endif
