// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// Trace.h
//
// Simple diagnostics
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#ifndef ___TRACE_H__
#define ___TRACE_H__
#include <windows.h>

extern void Trace( LPCSTR lpszMsg ); 
extern char* safesprintf( char *buffer, size_t count, const char *format, ... );
const int TRACE_BUFF_SIZE=1024;


#define TRACE0(arg1)\
	{ Trace(arg1); }
#define TRACE1(format,arg1) \
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1); Trace(_trace_buff); }
#define TRACE2(format,arg1,arg2)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2); Trace(_trace_buff); }
#define TRACE3(format,arg1,arg2,arg3)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3); Trace(_trace_buff); }
#define TRACE4(format,arg1,arg2,arg3,arg4)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4); Trace(_trace_buff); }
#define TRACE5(format,arg1,arg2,arg3,arg4,arg5)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5); Trace(_trace_buff); }
#define TRACE6(format,arg1,arg2,arg3,arg4,arg5,arg6)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5,arg6); Trace(_trace_buff); }
#define TRACE7(format,arg1,arg2,arg3,arg4,arg5,arg6,arg7)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5,arg6,arg7); Trace(_trace_buff); }
#define TRACE8(format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8); Trace(_trace_buff); }
#define TRACE9(format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9); Trace(_trace_buff); }
#define TRACE10(format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9,arg10)\
	{ char _trace_buff[TRACE_BUFF_SIZE]; safesprintf(_trace_buff,TRACE_BUFF_SIZE,format,arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9,arg10); Trace(_trace_buff); }

#endif // #define ___TRACE_H__

